growpart and cloud-utils should support growing mounted filesystem

Bug #1136936 reported by Scott Moser on 2013-03-01
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
cloud-init
Undecided
Unassigned
cloud-utils
Undecided
Unassigned
cloud-init (Ubuntu)
Undecided
Unassigned
cloud-utils (Ubuntu)
Undecided
Unassigned

Bug Description

Under bug 1096999, we added support to util linux 'partx' to update the partition table information of a disk with a mounted partition. This takes advantage of kernel feature in 3.8.0.

This actually removes the necessity of cloud-initramfs-growpart.
We can now put that function into growpart and cloud-init instead. By doing so, we can actually make it able to be disabled from user-data, and not require ramdisk code.

Links:
 * util-linux upstream: http://git.kernel.org/?p=utils/util-linux/util-linux.git;a=commitdiff;h=3b905b794e93609af7e42459d32b27e7c18ce02e
 * kernel upstream: http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=c83f6bf98dc1f1a194118b3830706cebbebda8c4

ProblemType: Bug
DistroRelease: Ubuntu 13.04
Package: cloud-utils 0.26-0ubuntu2
ProcVersionSignature: Ubuntu 3.5.0-21.32-generic 3.5.7.1
Uname: Linux 3.5.0-21-generic x86_64
ApportVersion: 2.8-0ubuntu4
Architecture: amd64
Date: Thu Feb 28 22:27:54 2013
EcryptfsInUse: Yes
InstallationDate: Installed on 2011-10-19 (498 days ago)
InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Release amd64 (20111012)
MarkForUpload: True
PackageArchitecture: all
ProcEnviron:
 TERM=xterm
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: cloud-utils
UpgradeStatus: Upgraded to raring on 2013-01-07 (52 days ago)

Related branches

Scott Moser (smoser) wrote :
Scott Moser (smoser) on 2013-03-01
summary: - growpart and cloud-utils should support growning mounted filesystem
+ growpart and cloud-utils should support growing mounted filesystem
Scott Moser (smoser) on 2013-03-04
Changed in cloud-utils:
status: New → Fix Committed
Changed in cloud-init:
status: New → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cloud-utils - 0.26-0ubuntu3

---------------
cloud-utils (0.26-0ubuntu3) raring; urgency=low

  * sync to trunk at revno 219
    * growpart: support updating mounted partition with partx --update
      (LP: #1136936)
 -- Scott Moser <email address hidden> Thu, 07 Mar 2013 15:45:10 -0500

Changed in cloud-utils (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cloud-init - 0.7.2~bzr795-0ubuntu1

---------------
cloud-init (0.7.2~bzr795-0ubuntu1) raring; urgency=low

  * New upstream snapshot.
    * documentation on write-files module (LP: #1111205)
    * support for specifying package versions in package installs
    * DataSourceNoCloud: allow specifyin user-data and meta-data in
      the datasource config (LP: #1115833)
    * work around bug in upstart for now (1124384)
    * support resizing btrfs fileystems
    * parse ssh keys more correctly (LP: #1136343)
    * upstart/cloud-init-nonet.conf: handle sigterm gracefully (LP: #1015223)
    * support growing partitions (LP: #1136936)
    * use --force-unsafe-io for dpkg installations to improve speed
      This is sane as it happens on instance initialization.
    * more powerful and user-suppliable cloud-config merge mechanisms
      (LP: #1023179)
 -- Scott Moser <email address hidden> Thu, 07 Mar 2013 17:33:59 -0500

Changed in cloud-init (Ubuntu):
status: New → Fix Released
Scott Moser (smoser) on 2013-03-08
Changed in cloud-init:
status: In Progress → Fix Committed
Scott Moser (smoser) wrote :

fixed in 0.7.2

Changed in cloud-init:
status: Fix Committed → Fix Released
Scott Moser (smoser) on 2016-06-01
Changed in cloud-utils:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers